### Db::set_re_delim

`

###

    #include <db_cxx.h>

    int
    Db::set_re_delim(int re_delim);

    int
    Db::get_re_delim(int *delimp);

### Description: Db::set_re_delim

Set the delimiting byte used to mark the end of a record in the backing source file for the Recno access method.

This byte is used for variable length records if the re_source file is specified. If the re_source file is specified and no delimiting byte was specified, <newline> characters (that is, ASCII 0x0a) are interpreted as end-of-record markers.

The Db::set_re_delim method configures a database, not only operations performed using the specified Db handle.

The Db::set_re_delim method may not be called after the Db::open method is called. If the database already exists when Db::open is called, the information specified to Db::set_re_delim will be ignored.

The Db::set_re_delim method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

re_delim
  The re_delim parameter is the delimiting byte used to mark the end of a record.

### Errors

The Db::set_re_delim method may fail and throw DbException, encapsulating one of the following non-zero errors, or return one of the following non-zero errors:

EINVAL
  If the method was called after Db::open was called; or if an invalid flag value or parameter was specified.

### Description: Db::get_re_delim

The Db::get_re_delim method returns the delimiting byte.

The Db::get_re_delim method may be called at any time during the life of the application.

The Db::get_re_delim method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

delimp
  The Db::get_re_delim method returns the delimiting byte in delimp.

### Class

Db

### See Also

Databases and Related Methods`

Copyright (c) 1996,2007 Oracle. All rights reserved.